<template>
	<view class="content">
		<view class="flex item" v-if="type == 1" v-for="item in navList" @click="navto('/pages/user/yjzz?type=' + item.type)" >
			<image :src="item.img" mode="" class="logo"></image>
			<view class="name">
				{{item.name}}
			</view>
			<view class="" class="tit">
				去转账
			</view>
			<image src="../../static/img/back.png" mode="" class="go"></image>
		</view>
		<view class="flex item" v-if="type == 2" v-for="item in navListt" @click="navto('/pages/user/yjzye?type=' + item.type)" >
			<image :src="item.img" mode="" class="logo"></image>
			<view class="name">
				{{item.name}}
			</view>
			<view class="" class="tit">
				去兑换
			</view>
			<image src="../../static/img/back.png" mode="" class="go"></image>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				type: 1,
				navList: [
					{
						name: '佣金转账',
						type: 0,
						img: '../../static/icon/yjz.png',
					},
					{
						name: '消费积分转账',
						type: 1,
						img: '../../static/icon/xc1.png',
					}
				],
				navListt: [
					{
						name: '佣金兑换消费积分',
						type: 1,
						img: '../../static/icon/yzy.png',
					},
					{
						name: '佣金兑换复投积分',
						type: 2,
						img: '../../static/icon/yzft.png',
					},
					// {
					// 	name: '佣金兑换通证',
					// 	type: 3,
					// 	img: '../../static/icon/task2.png',
					// }
				]
			}
		},
		onLoad(opt) {
			if(opt.type) {
				this.type = opt.type
				if(this.type == 2) {
					uni.setNavigationBarTitle({
						title:'兑换'
					})
				}
			}
		},
		onShow() {

		},
		onReachBottom() {

		},
		onReady() {

		},
		methods: {
			navto(url) {
				uni.navigateTo({
					url,
					fail() {
						uni.switchTab({
							url
						})
					}
				})
			},
		}
	}
</script>

<style lang="scss">
	.item {
		width: 710rpx;
		height: 110rpx;
		background: #FFFFFF;
		box-shadow: 0rpx 0rpx 20rpx 0rpx rgba(50,50,52,0.06);
		border-radius: 15rpx;
		font-size: 30rpx;
		font-weight: 500;
		color: #333333;
		margin:20rpx auto;
		padding: 0 30rpx;
		.logo {
			width: 40rpx;
			height: 40rpx;
		}
		.name {
			margin-left: 18rpx;
			flex-grow: 1;
		}
		.tit {
			font-size: 26rpx;
			font-weight: 500;
			color: #999999;
		}
		.go {
			margin-left: 18rpx;
			width: 15rpx;
			height: 25rpx;
		}
	}
</style>
